#!/bin/bash -eu

COREBOOTDIR="${HOME}/Desktop/coreboot"
OLDPWD=$(pwd)

trap "cd ${OLDPWD}" INT TERM EXIT ERR

NUMPROC=$(cat /proc/cpuinfo | grep -Ec 'processor\s+:')

cd "${COREBOOTDIR}"
#git pull
git submodule update --force
make distclean

cat > .config << 'EOF'
CONFIG_VENDOR_ASUS=y
CONFIG_BOARD_ASUS_AM1I_A=y
CONFIG_USE_BLOBS=y
CONFIG_HUDSON_XHCI_FWM_FILE="3rdparty/blobs/southbridge/amd/yangtze/xhci.bin"
CONFIG_POST_DEVICE_LPC=y
CONFIG_VGA_BIOS=y
CONFIG_VGA_BIOS_FILE="customblobs/vbios.rom"
# Not required for SeaBIOS, enable for other payloads
#CONFIG_VGA_ROM_RUN=y
#CONFIG_S3_VGA_ROM_RUN=y
#CONFIG_FRAMEBUFFER_SET_VESA_MODE=y
#CONFIG_VBE_LINEAR_FRAMEBUFFER=y
#CONFIG_VGA_TEXT_FRAMEBUFFER=y
#CONFIG_FRAMEBUFFER_VESA_MODE_USER=y
# 1024x768 32 bit
#CONFIG_FRAMEBUFFER_VESA_MODE=0x123
# 0 = COM1 (0x3f8), 1 = COM2 (0x2f8)
CONFIG_UART_FOR_CONSOLE=1
#CONFIG_DRIVERS_PS2_KEYBOARD=y
#CONFIG_PAYLOAD_NONE=y
CONFIG_PAYLOAD_SEABIOS=y
#CONFIG_PAYLOAD_FILO=y
#CONFIG_FILO_MASTER=y
#CONFIG_SEABIOS_MASTER=y
#CONFIG_SEABIOS_DEBUG_LEVEL=3
#CONFIG_PAYLOAD_TIANOCORE=y
#CONFIG_TIANOCORE_REVISION=y
#CONFIG_TIANOCORE_REVISION_ID="vUDK2017"
#CONFIG_TIANOCORE_STABLE=y
#CONFIG_TIANOCORE_TARGET_X64=y
#CONFIG_TIANOCORE_RELEASE=y
#CONFIG_TIANOCORE_DEBUG=y
#CONFIG_MEMTEST_SECONDARY_PAYLOAD=y
#CONFIG_NVRAMCUI_SECONDARY_PAYLOAD=y
#CONFIG_COREINFO_SECONDARY_PAYLOAD=y
EOF

make olddefconfig

#make crossgcc-i386 CPUS=${NUMPROC}
make
